> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete template

> Deletes a template by id



## OpenAPI

````yaml /api-reference/oda-widget-service-1.0.0.yml post /templates/commands/delete-template
openapi: 3.0.1
info:
  title: ODA Widget Service
  description: ODA Widget Service
  contact:
    name: stCarolas
    email: stcarolas@gmail.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
  version: 1.0.0
servers: []
security: []
paths:
  /templates/commands/delete-template:
    post:
      summary: Delete template
      description: Deletes a template by id
      operationId: deleteTemplate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteTemplateApi.DeleteTemplateCommand'
        required: true
      responses:
        '200':
          description: Template deleted successfully
        '401':
          description: Unauthorized
        '404':
          description: Template not found
components:
  schemas:
    DeleteTemplateApi.DeleteTemplateCommand:
      required:
        - id
      type: object
      properties:
        id:
          type: string

````